Create Professional Proposals...FAST

About | Tour | Training | Support | Pricing | Contact | Help

Customer Login


To run Service Estimator, your system should be equipped with the following:

 

Microsoft Access® 2007 or later is required to run this software; Microsoft Word® 2007 or later is required to use the proposal document templates that are built into our Mail Merge feature.

 

A Note About Microsoft Access®

If Microsoft Access is not found when you run the install application for Service Estimator, it will determine which version of Office is installed on your computer and attempt to automatically download and install the proper run-time version.

 

Quick Installation Guide